<% providers = @formatter.get_fixture('providers/all') %>
@server @delete
Feature: delete server

  <% @formatter.get_fixture('providers/without_static').each do |provider| %>


  <%= "@#{provider}" %>
  Scenario: Delete <%= provider %> server
    When I delete '<%= provider %>' new server
    Then response should be '200'
    And the Content-Type header should include 'application/json'
    And the JSON response should be an array
    And waiting background task

  <%= "@#{provider}" %>
  Scenario: Delete <%= provider %> server (second time)
    When I delete '<%= provider %>' new server
    Then response should be '200'
    And the JSON response should be an array
    And response array should be empty
  <% end %>

  <%= providers.map{|provider| "@#{provider}"}.join(" ") %>
  Scenario: Delete unknown server
    When I send DELETE '/v3/server/foo' query
    Then response should be '200'
    And the JSON response should be an array
    And response array should be empty
